#
# spec file for package ior
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ior
Version:        3.0.1
Release:        bp153.1.15
Summary:        Parallel filesystem I/O benchmark
License:        GPL-2.0
Group:          System/Benchmark
Url:            https://github.com/LLNL/ior
Source:         https://github.com/LLNL/ior/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  openmpi2-devel
Requires:       openmpi2

%description
Parallel filesystem I/O benchmark

%prep
%setup -q

%build
export MPICC="%{_libdir}/mpi/gcc/openmpi2/bin/mpicc"
./bootstrap
%configure
make %{?_smp_mflags}

%install
%make_install
rm %{buildroot}%{_datadir}/USER_GUIDE

%files
%doc COPYRIGHT ChangeLog README doc/USER_GUIDE testing
%{_bindir}/%{name}

%changelog
* Sat Oct 21 2017 mpluskal@suse.com
- Update mpi dependencies
* Tue Sep  5 2017 mpluskal@suse.com
- Initial package for version 3.0.1
